Loading...
Searching...
No Matches
Ogre::CompositionTechnique::TextureDefinition Class Reference

Local texture definition. More...

`#include <OgreCompositionTechnique.h>`

Inheritance diagram for Ogre::CompositionTechnique::TextureDefinition:
[legend]

## Public Member Functions

| TextureDefinition ()

## Public Attributes

uint32 | depth
uint16 | depthBufferId
PixelFormatList | formatList
uint8 | fsaa
uint32 | height
float | heightFactor
bool | hwGammaWrite
String | name
bool | pooled
String | refCompName
String | refTexName
TextureScope | scope
TextureType | type
uint32 | width
float | widthFactor

## Detailed Description

Local texture definition.

## Constructor & Destructor Documentation

## TextureDefinition()

Ogre::CompositionTechnique::TextureDefinition::TextureDefinition | ( |  | ) |

inline

References depth, depthBufferId, fsaa, height, heightFactor, hwGammaWrite, pooled, scope, Ogre::TEX_TYPE_2D, Ogre::CompositionTechnique::TS_LOCAL, type, width, and widthFactor.

## Member Data Documentation

## name

String Ogre::CompositionTechnique::TextureDefinition::name

## refCompName

String Ogre::CompositionTechnique::TextureDefinition::refCompName

## refTexName

String Ogre::CompositionTechnique::TextureDefinition::refTexName

## width

uint32 Ogre::CompositionTechnique::TextureDefinition::width

Referenced by TextureDefinition().

## height

uint32 Ogre::CompositionTechnique::TextureDefinition::height

Referenced by TextureDefinition().

## depth

uint32 Ogre::CompositionTechnique::TextureDefinition::depth

Referenced by TextureDefinition().

## type

TextureType Ogre::CompositionTechnique::TextureDefinition::type

Referenced by TextureDefinition().

## widthFactor

float Ogre::CompositionTechnique::TextureDefinition::widthFactor

Referenced by TextureDefinition().

## heightFactor

float Ogre::CompositionTechnique::TextureDefinition::heightFactor

Referenced by TextureDefinition().

## formatList

PixelFormatList Ogre::CompositionTechnique::TextureDefinition::formatList

## fsaa

uint8 Ogre::CompositionTechnique::TextureDefinition::fsaa

Referenced by TextureDefinition().

## hwGammaWrite

bool Ogre::CompositionTechnique::TextureDefinition::hwGammaWrite

Referenced by TextureDefinition().

## depthBufferId

uint16 Ogre::CompositionTechnique::TextureDefinition::depthBufferId

Referenced by TextureDefinition().

## pooled

bool Ogre::CompositionTechnique::TextureDefinition::pooled

Referenced by TextureDefinition().

## scope

TextureScope Ogre::CompositionTechnique::TextureDefinition::scope

Referenced by TextureDefinition().

The documentation for this class was generated from the following file:

- OgreCompositionTechnique.h